  If OpenWindow(0, 0, 0, 322, 150, "EditorGadget", #PB_Window_SystemMenu | #PB_Window_ScreenCentered) And CreateGadgetList(WindowID(0)) 
    EditorGadget(0, 8, 8, 306, 133) 
    
    SQLLang = Editor_SH_CreateLanguage(#PB_Any, "SQL", #False)
    Editor_SH_SetProperty(SQLLang, #Editor_SH_Property_String, Chr(34))

       Global NewList SQLKeyword.s()
       AddElement(SQLKeyword())  : SQLKeyword() = "select"
       AddElement(SQLKeyword())  : SQLKeyword() = "from"
       AddElement(SQLKeyword())  : SQLKeyword() = "delete"
       AddElement(SQLKeyword())  : SQLKeyword() = "update"
    Editor_SH_SetKeywords(SQLLang, SQLKeyword())
    Editor_SH_SetProperty(SQLLang, #Editor_SH_Property_Comment, ";")
    Editor_SH_SetProperty(SQLLang, #Editor_SH_Property_Constant, "#")
    Editor_SH_SetProperty(SQLLang, #Editor_SH_Property_Operators, "+-*/=")
    Editor_SH_SetProperty(SQLLang, #Editor_SH_Property_Symbols, "@$&")
    Editor_SH_SetProperty(SQLLang, #Editor_SH_Property_Brackets, "()")

    Editor_SH_SetPropertyFormat(SQLLang, #Editor_SH_Property_Text, "Arial", 12, 0, RGB(0, 0, 0), RGB(255, 255, 255))
    Editor_SH_SetPropertyFormat(SQLLang, #Editor_SH_Property_Comment, "Arial", 12, #PB_Font_Bold, RGB(235, 240, 20), RGB(147, 237, 108))
    Editor_SH_SetPropertyFormat(SQLLang, #Editor_SH_Property_String, "Arial", 14, #PB_Font_Bold|#PB_Font_Italic, RGB(243, 191, 12), RGB(42, 192, 213))
    Editor_SH_SetPropertyFormat(SQLLang, #Editor_SH_Property_Keyword, "Arial", 10, #PB_Font_Italic, RGB(239, 109, 16), RGB(50, 111, 205))
    Editor_SH_SetPropertyFormat(SQLLang, #Editor_SH_Property_Constant, "Arial", 8, #PB_Font_Underline, RGB(227, 34, 28), RGB(123, 40, 132))
    Editor_SH_SetPropertyFormat(SQLLang, #Editor_SH_Property_Operators, "Arial", 8, #PB_Font_Bold, RGB(0, 255, 0), RGB(255, 255, 255))
    Editor_SH_SetPropertyFormat(SQLLang, #Editor_SH_Property_Symbols, "Arial", 8, #PB_Font_Underline, RGB(0, 0, 255), RGB(255, 255, 255))
    Editor_SH_SetPropertyFormat(SQLLang, #Editor_SH_Property_Integer, "Arial", 8, #PB_Font_Underline, RGB(255, 0, 255), RGB(0, 255, 255))
    Editor_SH_SetPropertyFormat(SQLLang, #Editor_SH_Property_Brackets, "Arial", 8, #PB_Font_Underline, RGB(255, 0, 0), RGB(0, 0, 255))
    
    Editor_SH_SetPropertyState(SQLLang, #Editor_SH_Property_Text, #True)
    Editor_SH_SetPropertyState(SQLLang, #Editor_SH_Property_Comment, #True)
    Editor_SH_SetPropertyState(SQLLang, #Editor_SH_Property_String, #True)
    Editor_SH_SetPropertyState(SQLLang, #Editor_SH_Property_Keyword, #True)
    Editor_SH_SetPropertyState(SQLLang, #Editor_SH_Property_Constant, #True)
    Editor_SH_SetPropertyState(SQLLang, #Editor_SH_Property_Operators, #True)
    Editor_SH_SetPropertyState(SQLLang, #Editor_SH_Property_Symbols, #True)
    Editor_SH_SetPropertyState(SQLLang, #Editor_SH_Property_Integer, #True)
    Editor_SH_SetPropertyState(SQLLang, #Editor_SH_Property_Brackets, #True)

    Editor_SH_EnableSHGadget(0, SQLLang)
    OldString.s = ""
    NewString.s =""
    Repeat
      Event = WaitWindowEvent()
      If Event And EventGadget() = 0
        NewString = GetGadgetText(0)
        If OldString <> NewString
          OldString = NewString
          Debug FormatDate("%hh:%ii:%ss", Date()) +" > " +NewString
          Editor_SH_Update(0)
        EndIf
      EndIf
    Until Event = #PB_Event_CloseWindow 
  EndIf 

; IDE Options = PureBasic 4.20 (Windows - x86)
; CursorPosition = 53
; Folding = w
; EnableXP